Bug 20433

Summary: Kill getPixmap and use nativeImageForCurrentFrame
Product: WebKit Reporter: Holger Freyther <zecke>
Component: WebKit QtAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: alp
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
Use the common method eric: review+

Description Holger Freyther 2008-08-18 14:28:26 PDT
Replace Qt specific code with the generic nativeImageForCurrentFrame. There is simply no need for a custom Qt method.
Comment 1 Holger Freyther 2008-08-18 14:29:42 PDT
Created attachment 22861 [details]
Use the common method
Comment 2 Eric Seidel (no email) 2008-08-22 01:46:05 PDT
Comment on attachment 22861 [details]
Use the common method

Wooohoo!

I plan to add a
nativeImageForFirstFrame()

method eventually, which would closer match the behavior of what you're replacing.  However I think the currentFrame should be fine in these uses.
Comment 3 Alp Toker 2008-09-16 21:38:48 PDT
Prepared this patch for landing and found it was already applied :-(

Closing bug.